Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355817 - sci-libs/gdal: fails to build with libpng 1.5
Summary: sci-libs/gdal: fails to build with libpng 1.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Steve Arnold
URL: http://trac.osgeo.org/gdal/ticket/3914
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-21 09:16 UTC by Hanno Böck
Modified: 2011-03-03 09:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gdal-1.8.0-r1 ebuild (gdal-1.8.0-r1.ebuild,6.23 KB, text/plain)
2011-03-01 13:24 UTC, Jean-Claude Repetto
Details
Patch to add libpng-1.5 support in GDAL-1.8.0 (gdal-png-1.5.patch,1.39 KB, patch)
2011-03-01 13:27 UTC, Jean-Claude Repetto
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2011-02-21 09:16:45 UTC
Upstream bug has patches linked:
http://trac.osgeo.org/gdal/ticket/3914

Should also be fixed with upcoming 1.8.1 version.
Comment 1 Jean-Claude Repetto 2011-03-01 13:24:32 UTC
Created attachment 264259 [details]
gdal-1.8.0-r1 ebuild

This new ebuild patches GDAL-1.8.0 to support libpng 1.5.
It also add supports for the GeoPDF format, which is triggered by the "poppler" USE flag (see http://bugs.gentoo.org/show_bug.cgi?id=354077#c2 ).
Comment 2 Jean-Claude Repetto 2011-03-01 13:27:14 UTC
Created attachment 264261 [details, diff]
Patch to add libpng-1.5 support in GDAL-1.8.0

Provenance : upstream patch (http://trac.osgeo.org/gdal/changeset/21526)
Comment 3 Steve Arnold gentoo-dev 2011-03-03 09:35:45 UTC
Updated, test away...